AutoCAD Map 3D Developer
Welcome to Autodesk’s AutoCAD Map 3D Developer Forums. Share your knowledge, ask questions, and explore popular AutoCAD Map 3D Developer topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

FDO GEOMETRY

1 REPLY 1
SOLVED
Reply
Message 1 of 2
Anonymous
594 Views, 1 Reply

FDO GEOMETRY

Anonymous
Not applicable

Hello,

 

I'm currently using an Geo.MapGuide.MgFeatureReader to extract the properties of the Feature Data Class of selected objects. The selection contains, though I'm successful in extracting over every "*" property, The last Property returns "OSGeo.MapGuide.MgByteReader". I'm at a lose as to how to access the values and/or collection.

 

I must state, I am fairly new to the API, so any help would be most appreciated. Thanks in advance.

 

Michael Luckett

 

0 Likes

FDO GEOMETRY

Hello,

 

I'm currently using an Geo.MapGuide.MgFeatureReader to extract the properties of the Feature Data Class of selected objects. The selection contains, though I'm successful in extracting over every "*" property, The last Property returns "OSGeo.MapGuide.MgByteReader". I'm at a lose as to how to access the values and/or collection.

 

I must state, I am fairly new to the API, so any help would be most appreciated. Thanks in advance.

 

Michael Luckett

 

1 REPLY 1
Message 2 of 2
Anonymous
in reply to: Anonymous

Anonymous
Not applicable
Accepted solution

//Exemple Point3d from MgProperty

MgProperty property= new MgGeometryProperty("GEOMETRY", Reader.GetGeometry("GEOMETRY"));

MgByteReader byteReader = ((MgGeometryProperty)property).Value;

MgAgfReaderWriter agfReader = new MgAgfReaderWriter();

MgGeometry geom = agfReader.Read(byteReader);

MgPoint mPt = (MgPoint)geom;
MgCoordinate mCoor = mPt.GetCoordinate();

Autodesk.AutoCAD.Geometry.Point3d ptPos = new Autodesk.AutoCAD.Geometry.Point3d(mCoor.X, mCoor.Y, mCoor.Z);

0 Likes

//Exemple Point3d from MgProperty

MgProperty property= new MgGeometryProperty("GEOMETRY", Reader.GetGeometry("GEOMETRY"));

MgByteReader byteReader = ((MgGeometryProperty)property).Value;

MgAgfReaderWriter agfReader = new MgAgfReaderWriter();

MgGeometry geom = agfReader.Read(byteReader);

MgPoint mPt = (MgPoint)geom;
MgCoordinate mCoor = mPt.GetCoordinate();

Autodesk.AutoCAD.Geometry.Point3d ptPos = new Autodesk.AutoCAD.Geometry.Point3d(mCoor.X, mCoor.Y, mCoor.Z);

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report